import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { StopDataMigrationResponseFilterSensitiveLog, } from "../models/models_1";
import { de_StopDataMigrationCommand, se_StopDataMigrationCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class StopDataMigrationCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonDMSv20160101", "StopDataMigration", {})
    .n("DatabaseMigrationServiceClient", "StopDataMigrationCommand")
    .f(void 0, StopDataMigrationResponseFilterSensitiveLog)
    .ser(se_StopDataMigrationCommand)
    .de(de_StopDataMigrationCommand)
    .build() {
}
